package com.gic.auth.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.CollaboratorDTO;
import com.gic.auth.dto.CollaboratorListDTO;
import com.gic.auth.qo.CollaboratorListQO;
import com.gic.auth.service.CollaboratorApiService;
import com.gic.auth.service.CollaboratorService;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.utils.valid.ValidParamsUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("collaboratorApiService")
public class CollaboratorApiServiceImpl implements CollaboratorApiService{
    @Autowired
    private CollaboratorService collaboratorService;
    @Override
    public ServiceResponse<Integer> save(CollaboratorDTO dto) {
        //新增参数校验
        ServiceResponse paramValid = ValidParamsUtils.allCheckValidate(dto, CollaboratorDTO.SaveValid.class);
        if (!paramValid.isSuccess()) {
            return paramValid;
        }

        collaboratorService.save(dto);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Page<CollaboratorListDTO>> page(CollaboratorListQO params) {
        com.github.pagehelper.Page<CollaboratorListDTO> page = collaboratorService.page(params);
        Page<CollaboratorListDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page);
        return ServiceResponse.success(resultPage);
    }
}
